
/*==============================================================*/
/* Table:  T_MPDM_OVER_DEVICE   基础资料_检修设备_梁浩   创建时间: 20220318*/
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_OVER_DEVICE')
CREATE TABLE T_MPDM_OVER_DEVICE
(
	FID 						BIGINT              DEFAULT 0        NOT NULL,               
	FNUMBER 					NVARCHAR(30)        DEFAULT ' '      NOT NULL,               
	FNAME 					    NVARCHAR(50)        DEFAULT ' '      NOT NULL,               	
	FSTATUS 				    NVARCHAR(50)        DEFAULT ' '      NOT NULL,               	
	FCREATORID 				    BIGINT              DEFAULT 0        NOT NULL,               		
	FMODIFIERID 				BIGINT              DEFAULT 0        NOT NULL,               	
	FENABLE 					NVARCHAR(50)        DEFAULT ' '      NOT NULL,              
	FCREATETIME 				DATETIME,                                                    
	FMODIFYTIME 				DATETIME,                                                    
	FMASTERID 					BIGINT              DEFAULT 0        NOT NULL,               
	FCREATEORGID			    BIGINT              DEFAULT 0        NOT NULL,              
	FORGID						BIGINT              DEFAULT 0        NOT NULL,               
	FCTRLSTRATEGY				NVARCHAR(5)         DEFAULT ' '      NOT NULL,               
	FSOURCEDATAID				BIGINT              DEFAULT 0        NOT NULL,               
	FBITINDEX					INT                 DEFAULT 0        NOT NULL,               
	FSOURCEBITINDEX			    INT                 DEFAULT 0        NOT NULL,               	
	FMODELID					BIGINT              DEFAULT 0        NOT NULL,               
	FREMARK						NVARCHAR(255)       DEFAULT ' '      NOT NULL,               
	FAUDITOR					BIGINT              DEFAULT 0        NOT NULL,               	
	FAUDITDATE				    DATETIME
);


/*==============================================================*/
/* Table:  T_MPDM_OVER_DEVICE_L   基础资料_检修设备多语言表_梁浩   创建时间: 20220318*/
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_OVER_DEVICE_L')
CREATE TABLE T_MPDM_OVER_DEVICE_L
(
	FPKID						VARCHAR(36)         DEFAULT ' '       NOT NULL,           
	FID 						BIGINT              DEFAULT 0         NOT NULL,            
	FLOCALEID					VARCHAR(10)         DEFAULT ' '       NOT NULL,             
	FNAME 						NVARCHAR(50)        DEFAULT ' '       NOT NULL,            
	FREMARK						NVARCHAR(255)       DEFAULT ' '       NOT NULL            
);


/*==============================================================*/
/* Table:  T_MPDM_ODEVICE_NUMBER   基础资料_检修设备型号_梁浩   创建时间: 20220318*/
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_ODEVICE_NUMBER')
CREATE TABLE T_MPDM_ODEVICE_NUMBER
(
	FID 					    BIGINT		        DEFAULT 0         NOT NULL,		         		
	FNUMBER 					NVARCHAR(30)        DEFAULT ' '       NOT NULL, 			       	
	FNAME 						NVARCHAR(50)        DEFAULT ' '       NOT NULL, 			       	
	FSTATUS 					NVARCHAR(50)	    DEFAULT ' '       NOT NULL, 			      
	FCREATORID 					BIGINT			    DEFAULT 0         NOT NULL,	               
	FMODIFIERID 				BIGINT		        DEFAULT 0         NOT NULL,		         
	FENABLE 			 		NVARCHAR(50)	    DEFAULT ' '       NOT NULL, 			    
	FCREATETIME 				DATETIME,				                           
	FMODIFYTIME 				DATETIME,				                          
	FMASTERID 					BIGINT			    DEFAULT 0         NOT NULL,	           
	FCREATEORGID				BIGINT			    DEFAULT 0         NOT NULL,	             
	FORGID						BIGINT			    DEFAULT 0         NOT NULL,	           
	FCTRLSTRATEGY				NVARCHAR(5)		    DEFAULT ' '       NOT NULL, 		          
	FSOURCEDATAID				BIGINT			    DEFAULT 0         NOT NULL,	             
	FBITINDEX					INT				    DEFAULT 0         NOT NULL,              
	FSOURCEBITINDEX				INT				    DEFAULT 0         NOT NULL,                 
	FREMARK						NVARCHAR(255)	    DEFAULT ' '       NOT NULL, 			      
	FAUDITOR					BIGINT    		    DEFAULT 0         NOT NULL,		        
	FAUDITDATE				    DATETIME
);


/*==============================================================*/
/* Table:  T_MPDM_ODEVICE_NUMBER_L   基础资料_检修设备型号多语言表_梁浩   创建时间: 20220318*/
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_ODEVICE_NUMBER_L')
CREATE TABLE T_MPDM_ODEVICE_NUMBER_L
(
	FPKID						VARCHAR(36)         DEFAULT ' '        NOT NULL,            
	FID 						BIGINT              DEFAULT 0          NOT NULL,             
	FLOCALEID					VARCHAR(10)         DEFAULT ' '        NOT NULL,             
	FNAME 						NVARCHAR(50)        DEFAULT ' '        NOT NULL,             
	FREMARK						NVARCHAR(255)       DEFAULT ' '        NOT NULL
);
