/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_TRADE') 
 CREATE TABLE T_MPDM_TRADE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARKS VARCHAR(255) DEFAULT ' ' NOT NULL,
FPARENTTRADE BIGINT DEFAULT 0 NOT NULL,
FISSKILL CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITOR BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FUNAUDITDATE DATETIME,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FUNAUDITOR BIGINT DEFAULT 0 NOT NULL,
FENABLEUSER BIGINT DEFAULT 0 NOT NULL,
FDISABLEUSER BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_TRADE_L') 
 CREATE TABLE T_MPDM_TRADE_L (
FPKID NVARCHAR(20) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_CHECKLEVEL') 
 CREATE TABLE T_MPDM_CHECKLEVEL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISPERSET CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITOR BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FUNAUDITDATE DATETIME,
FDISABLEDATE DATETIME,
FUNAUDITOR BIGINT DEFAULT 0 NOT NULL,
FENABLEUSER BIGINT DEFAULT 0 NOT NULL,
FDISABLEUSER BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_CHECKLEVEL_L') 
 CREATE TABLE T_MPDM_CHECKLEVEL_L (
FPKID NVARCHAR(20) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_table.sql **/