
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_LICENSEGROUP') 
 CREATE TABLE T_MPDM_LICENSEGROUP (
	FID						BIGINT              DEFAULT 0      NOT NULL,
	FNUMBER					NVARCHAR(50)        DEFAULT ' '    NOT NULL,
	FNAME					NVARCHAR(50)        DEFAULT ' '    NOT NULL,
	FSTATUS				    NVARCHAR(50)        DEFAULT ' '    NOT NULL,
	FCREATORID				BIGINT              DEFAULT 0      NOT NULL,
	FMODIFIERID				BIGINT              DEFAULT 0      NOT NULL,
	FENABLE				    NVARCHAR(50)        DEFAULT ' '    NOT NULL,
	FCREATETIME			    DATETIME,
	FMODIFYTIME			    DATETIME,
	FMASTERID				BIGINT              DEFAULT 0      NOT NULL,
	FEMAIL					NVARCHAR(50)        DEFAULT ' '    NOT NULL,
	FCOUNTRY				NVARCHAR(50)        DEFAULT ' '    NOT NULL,
	FPHONE					NVARCHAR(50)        DEFAULT ' '    NOT NULL,
	FADDRESS				NVARCHAR(255)       DEFAULT ' '    NOT NULL,
	FAUDITOR				BIGINT              DEFAULT 0      NOT NULL,
	FAUDITTIME			    DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_LICENSEGROUP_L') 
 CREATE TABLE T_MPDM_LICENSEGROUP_L (
	FPKID			       NVARCHAR(18)         DEFAULT ' '    NOT NULL,
	FID				       BIGINT               DEFAULT 0      NOT NULL,
	FLOCALEID		       NVARCHAR(10)         DEFAULT ' '    NOT NULL,
	FNAME			       NVARCHAR(50)         DEFAULT ' '    NOT NULL
);

