﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_RESOURCE' AND KSQL_COL_NAME ='FPLANROOMID')
 ALTER TABLE T_MPDM_RESOURCE ADD ( FPLANROOMID BIGINT DEFAULT 0 NOT NULL );
 
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_PLANROOM_TYPE')
 CREATE TABLE T_MPDM_PLANROOM_TYPE (
	FID              BIGINT           DEFAULT 0   NOT NULL,      
	FNUMBER          NVARCHAR(30)     DEFAULT ' ' NOT NULL,        
	FNAME            NVARCHAR(50)     DEFAULT ' ' NOT NULL,       
	FSTATUS          NVARCHAR(50)     DEFAULT ' ' NOT NULL,        
	FCREATORID       BIGINT           DEFAULT 0   NOT NULL,       
	FMODIFIERID      BIGINT           DEFAULT 0   NOT NULL,      
	FENABLE          NVARCHAR(50)     DEFAULT ' ' NOT NULL,       
	FCREATETIME      DATETIME,        
	FMODIFYTIME      DATETIME,        
	FMASTERID        BIGINT           DEFAULT 0   NOT NULL,       
	FCREATEORGID     BIGINT           DEFAULT 0   NOT NULL,        
	FORGID           BIGINT           DEFAULT 0   NOT NULL,       
	FCTRLSTRATEGY    NVARCHAR(50)     DEFAULT ' ' NOT NULL,       
	FREMARK          NVARCHAR(255)    DEFAULT ' ' NOT NULL,      
	FAUDITORID       BIGINT           DEFAULT 0   NOT NULL,   
	FAUDITTIME       DATETIME    
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_PLANROOM_TYPE_L')
 CREATE TABLE T_MPDM_PLANROOM_TYPE_L (
	FPKID            NVARCHAR(36)     DEFAULT ' '  NOT NULL,       
	FID              BIGINT           DEFAULT 0    NOT NULL,      
	FLOCALEID        NVARCHAR(10)     DEFAULT ' '  NOT NULL,      
	FNAME            NVARCHAR(50)     DEFAULT ' '  NOT NULL       
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_PLANROOM_RESTYPE')
 CREATE TABLE T_MPDM_PLANROOM_RESTYPE (
	FID              BIGINT           DEFAULT 0    NOT NULL,        
	FNUMBER          NVARCHAR(30)     DEFAULT ' '  NOT NULL,        
	FNAME            NVARCHAR(50)     DEFAULT ' '  NOT NULL,       
	FSTATUS          NVARCHAR(50)     DEFAULT ' '  NOT NULL,        
	FCREATORID       BIGINT           DEFAULT 0    NOT NULL,       
	FMODIFIERID      BIGINT           DEFAULT 0    NOT NULL,        
	FENABLE          NVARCHAR(50)     DEFAULT ' '  NOT NULL,       
	FCREATETIME      DATETIME,       
	FMODIFYTIME      DATETIME,       
	FMASTERID        BIGINT           DEFAULT 0    NOT NULL,       
	FCREATEORGID     BIGINT           DEFAULT 0    NOT NULL,        
	FORGID           BIGINT           DEFAULT 0    NOT NULL,       
	FCTRLSTRATEGY    NVARCHAR(50)     DEFAULT ' '  NOT NULL,       
	FAUDITORID       BIGINT           DEFAULT 0    NOT NULL,      
	FAUDITTIME       DATETIME,      
	FREMARK          NVARCHAR(255)    DEFAULT ' '  NOT NULL    
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_PLANROOM_RESTYPE_L')
 CREATE TABLE T_MPDM_PLANROOM_RESTYPE_L (
	FPKID            NVARCHAR(36)     DEFAULT ' '  NOT NULL,      
	FID              BIGINT           DEFAULT 0    NOT NULL,       
	FLOCALEID        NVARCHAR(10)     DEFAULT ' '  NOT NULL,      
	FNAME            NVARCHAR(50)     DEFAULT ' '  NOT NULL      
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_PLANROOM')
 CREATE TABLE T_MPDM_PLANROOM (
	FID              BIGINT            DEFAULT 0   NOT NULL,       
	FNUMBER          NVARCHAR(30)      DEFAULT ' ' NOT NULL,       
	FNAME            NVARCHAR(50)      DEFAULT ' ' NOT NULL,       
	FSTATUS          NVARCHAR(50)      DEFAULT ' ' NOT NULL,       
	FCREATORID       BIGINT            DEFAULT 0   NOT NULL,        
	FMODIFIERID      BIGINT            DEFAULT 0   NOT NULL,        
	FENABLE          NVARCHAR(50)      DEFAULT ' ' NOT NULL,        
	FCREATETIME      DATETIME,       
	FMODIFYTIME      DATETIME,       
	FMASTERID        BIGINT            DEFAULT 0   NOT NULL,       
	FCREATEORGID     BIGINT            DEFAULT 0   NOT NULL,       
	FORGID           BIGINT            DEFAULT 0   NOT NULL,        
	FCTRLSTRATEGY    NVARCHAR(50)      DEFAULT ' ' NOT NULL,       
	FAUDITORID       BIGINT            DEFAULT 0   NOT NULL,       
	FAUDITTIME       DATETIME,       
	FPLANROOMTYPEID  BIGINT            DEFAULT 0   NOT NULL,      
	FREMARK          NVARCHAR(255)     DEFAULT ' ' NOT NULL     
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_PLANROOM_L')
 CREATE TABLE T_MPDM_PLANROOM_L (
	FPKID            NVARCHAR(36)      DEFAULT ' ' NOT NULL,       
	FID              BIGINT            DEFAULT 0   NOT NULL,       
	FLOCALEID        NVARCHAR(10)      DEFAULT ' ' NOT NULL,        
	FNAME            NVARCHAR(50)      DEFAULT ' ' NOT NULL      
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_PLANROOM_RES')
 CREATE TABLE T_MPDM_PLANROOM_RES (
	FENTRYID         BIGINT            DEFAULT 0   NOT NULL,       
	FID              BIGINT            DEFAULT 0   NOT NULL,      
	FSEQ             INT               DEFAULT 0   NOT NULL,       
	FRESTYPEID       BIGINT            DEFAULT 0   NOT NULL,       
	FUSE             NVARCHAR(100)     DEFAULT ' ' NOT NULL,        
	FLOCATION        NVARCHAR(100)     DEFAULT ' ' NOT NULL,      
	FREMARK          NVARCHAR(255)     DEFAULT ' ' NOT NULL,        
	FRESOURCENAME    NVARCHAR(50)      DEFAULT ' ' NOT NULL 
);






