﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_HM_RES_CUST') 
CREATE TABLE T_MPDM_HM_RES_CUST
(
	  FID           BIGINT         DEFAULT 0    NOT NULL,          	
	  FENTRYID      BIGINT         DEFAULT 0    NOT NULL,   
	  FSEQ          INT            DEFAULT 0    NOT NULL,           
	  FCUST         BIGINT         DEFAULT 0    NOT NULL,        
	  FCUSTREMARK   NVARCHAR(255)  DEFAULT ' '  NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_HR_CATEGORY') 
CREATE TABLE T_MPDM_HR_CATEGORY
(
	  FID             BIGINT          DEFAULT 0    NOT NULL,        
	  FNUMBER         NVARCHAR(30)    DEFAULT ' '  NOT NULL, 	
	  FNAME           NVARCHAR(255)   DEFAULT ' '  NOT NULL, 	
	  FCREATEORGID    BIGINT          DEFAULT 0    NOT NULL, 
	  FORGID          BIGINT          DEFAULT 0    NOT NULL,      
	  FCTRLSTRATEGY   NVARCHAR(5)     DEFAULT ' '  NOT NULL, 	
	  FSOURCEDATAID   BIGINT          DEFAULT 0    NOT NULL, 	
	  FBITINDEX       INT             DEFAULT 0    NOT NULL,       	
	  FSOURCEBITINDEX INT             DEFAULT 0    NOT NULL, 
	  FAUDITORID      BIGINT          DEFAULT 0    NOT NULL,   	
	  FAUDITTIME      DATETIME ,                   
	  FDESCRIBE       NVARCHAR(255)   DEFAULT ' '  NOT NULL, 	
	  FSTATUS         NVARCHAR(1)     DEFAULT ' '  NOT NULL, 	
	  FCREATORID      BIGINT          DEFAULT 0    NOT NULL,   
	  FMODIFIERID     BIGINT          DEFAULT 0    NOT NULL,  	
	  FENABLE         NVARCHAR(1)     DEFAULT ' '  NOT NULL, 
	  FCREATETIME     DATETIME ,               
	  FMODIFYTIME     DATETIME ,              
	  FMASTERID       BIGINT          DEFAULT 0    NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_HR_CATEGORY_L') 
CREATE TABLE T_MPDM_HR_CATEGORY_L
(
	  FPKID           NVARCHAR(255)   DEFAULT ' '  NOT NULL, 
	  FID             BIGINT          DEFAULT 0    NOT NULL, 
	  FLOCALEID       NVARCHAR(255)   DEFAULT ' '  NOT NULL,
	  FNAME           NVARCHAR(255)   DEFAULT ' '  NOT NULL
);
