
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_FEATUREDEFINITION_L') 
 CREATE TABLE T_PDM_FEATUREDEFINITION_L (
FPKID NVARCHAR(255) DEFAULT ''' ''' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ''' ''' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ''' ''' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_FEATUREDEFINITION') 
 CREATE TABLE T_PDM_FEATUREDEFINITION (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(255) DEFAULT ''' ''' NOT NULL,
FSTATUS NVARCHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FFEATURETYPE NVARCHAR(5) DEFAULT ''' ''' NOT NULL,
FLENGTH INT DEFAULT 0 NOT NULL,
FPRECISION INT DEFAULT 0 NOT NULL,
FISVALUEMUST CHAR(1) DEFAULT '1' NOT NULL,
FISVALUESHOW CHAR(1) DEFAULT '1' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITTIME DATETIME,
FENABLETORID BIGINT DEFAULT 0 NOT NULL,
FDISABLETORID BIGINT DEFAULT 0 NOT NULL,
FDISABLETIME DATETIME,
FENABLETIME DATETIME,
FAUXPROPERTYID BIGINT DEFAULT 0 NOT NULL,
FENTITYOBJECTID NVARCHAR(255) DEFAULT '0' NOT NULL,
FFIELDNAME NVARCHAR(255) DEFAULT ''' ''' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_FEATUREVALUE') 
 CREATE TABLE T_PDM_FEATUREVALUE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FENTRYVALUE NVARCHAR(1000) DEFAULT ''' ''' NOT NULL,
FENTRYVALUENAME NVARCHAR(1000) DEFAULT ''' ''' NOT NULL,
FISDEFAULTVALUE CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_FEATUREDEFCONFRULE') 
 CREATE TABLE T_MPDM_FEATUREDEFCONFRULE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFEATURERULE BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDM_FEATUREDEFINITION' AND KSQL_COL_NAME ='FISPRICERELATION') 
 ALTER TABLE T_PDM_FEATUREDEFINITION ADD (FISPRICERELATION CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDM_FEATUREDEFINITION' AND KSQL_COL_NAME ='FISALLOWMULVALUE') 
 ALTER TABLE T_PDM_FEATUREDEFINITION ADD (FISALLOWMULVALUE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDM_FEATUREDEFINITION' AND KSQL_COL_NAME ='FISALLOWNEGATIVE') 
 ALTER TABLE T_PDM_FEATUREDEFINITION ADD (FISALLOWNEGATIVE CHAR(1) DEFAULT '0' NOT NULL );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDM_FEATUREVALUE' AND KSQL_COL_NAME ='FENTRYCONFIGRULE') 
 ALTER TABLE T_PDM_FEATUREVALUE ADD (FENTRYCONFIGRULE BIGINT DEFAULT 0 NOT NULL ); 
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDM_FEATUREVALUE' AND KSQL_COL_NAME ='FFEATUREVALUEID') 
 ALTER TABLE T_PDM_FEATUREVALUE ADD (FFEATUREVALUEID NVARCHAR(255) DEFAULT ''' ''' NOT NULL );