﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_CONFMATRIX') 
 CREATE TABLE T_MPDM_CONFMATRIX (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT 'A' NOT NULL,
FENABLE VARCHAR(30) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITTIME DATETIME,
FENABLETORID BIGINT DEFAULT 0 NOT NULL,
FENABLETIME DATETIME,
FDISABLETORID BIGINT DEFAULT 0 NOT NULL,
FDISABLETIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_CONFMATRIX_L') 
 CREATE TABLE T_MPDM_CONFMATRIX_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_CONFMATRIXENTRYVAL') 
 CREATE TABLE T_MPDM_CONFMATRIXENTRYVAL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FROWINDEX INT DEFAULT 0 NOT NULL,
FCOLUMNNAME NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FFEATUREVALUEID BIGINT DEFAULT 0 NOT NULL,
FFEATUREVALUE NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FFEATUREVALUENAME NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_CONFMATRIXFEATURE') 
 CREATE TABLE T_MPDM_CONFMATRIXFEATURE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFEATUREID BIGINT DEFAULT 0 NOT NULL,
FENTRYKEY CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_MROCARDROUTE_H' AND KSQL_COL_NAME ='FNUMBERKEYS') 
 ALTER TABLE T_MPDM_MROCARDROUTE_H ADD (FNUMBERKEYS NVARCHAR(512) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_MROWKCARDROUTE' AND KSQL_COL_NAME ='FNUMBERKEYS') 
 ALTER TABLE T_MPDM_MROWKCARDROUTE ADD (FNUMBERKEYS NVARCHAR(512) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_MROCARDROUTE' AND KSQL_COL_NAME ='FNUMBERKEYS') 
 ALTER TABLE T_MPDM_MROCARDROUTE ADD (FNUMBERKEYS NVARCHAR(512) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_BOMEXPANDCONFIG' AND KSQL_COL_NAME ='FISOPENAUXBOM') 
 ALTER TABLE T_MPDM_BOMEXPANDCONFIG ADD (FISOPENAUXBOM CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_BOMEXPANDCONFIG' AND KSQL_COL_NAME ='FAUXBOMTYPE') 
 ALTER TABLE T_MPDM_BOMEXPANDCONFIG ADD (FAUXBOMTYPE BIGINT DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_table.sql **/
