/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_ORDERTOSTOCK') 
CREATE TABLE T_MPDM_ORDERTOSTOCK
   (  
  FID                bigint DEFAULT 0 NOT NULL,
  FNUMBER            nvarchar(30) DEFAULT ' ' NOT NULL,
  FSTATUS            nvarchar(30) DEFAULT ' ' NOT NULL,
  FCREATORID         bigint DEFAULT 0 NOT NULL,
  FMODIFIERID        bigint DEFAULT 0 NOT NULL,
  FENABLE         	 nvarchar(30) DEFAULT '' NOT NULL,
  FMODIFYTIME        datetime,
  FCREATETIME        datetime,
  FMASTERID          bigint DEFAULT 0 NOT NULL,
  FORDER	         nvarchar(50) DEFAULT ' ' NOT NULL,
  FSTOCK             nvarchar(50) DEFAULT ' ' NOT NULL
   );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_ORDERTOSTOCK_L') 
CREATE TABLE T_MPDM_ORDERTOSTOCK_L
   (  
  FPKID              NVARCHAR(18) DEFAULT ' ' NOT NULL,
  FID                bigint DEFAULT 0 NOT NULL,
  FLOCALEID          nvarchar(10) DEFAULT ' ' NOT NULL,
  FNAME        		 nvarchar(50) DEFAULT ' ' NOT NULL
   );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_OTSENTRY') 
CREATE TABLE T_MPDM_OTSENTRY
   (  
  FID                bigint DEFAULT 0 NOT NULL,
  FENTRYID         	 bigint DEFAULT 0 NOT NULL,
  FSEQ               bigint DEFAULT 0 NOT NULL,
  fentityident       nvarchar(50) DEFAULT ' ' NOT NULL,
  fentityname        nvarchar(30) DEFAULT ' ' NOT NULL
   );



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_OTSENTRYENTITY') 
CREATE TABLE T_MPDM_OTSENTRYENTITY
   (  
  FENTRYID         	 bigint DEFAULT 0 NOT NULL,
  FDETAILID          bigint DEFAULT 0 NOT NULL,
  FSEQ               bigint DEFAULT 0 NOT NULL,
  FORDERNAME         nvarchar(50) DEFAULT ' ' NOT NULL,
  FORDERIDENT        nvarchar(50) DEFAULT ' ' NOT NULL,
  FSTOCKNAME         nvarchar(50) DEFAULT ' ' NOT NULL,
  FSTOCKIDENT        nvarchar(50) DEFAULT ' ' NOT NULL
   );
/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_table.sql **/