
 EXEC P_ALTERPK 'PK_MPDM_RESOURCE_TYPE', 'T_MPDM_RESOURCE_TYPE', 'FID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MPDM_RESOURCE_TYPE_FNUM') CREATE INDEX IDX_T_MPDM_RESOURCE_TYPE_FNUM ON T_MPDM_RESOURCE_TYPE ( FNUMBER );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MPDM_RESOURCE_TYPE_FCRT') CREATE INDEX IDX_T_MPDM_RESOURCE_TYPE_FCRT ON T_MPDM_RESOURCE_TYPE ( FCREATETIME );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MPDM_RESOURCE_TYPE_FCRO') CREATE INDEX IDX_T_MPDM_RESOURCE_TYPE_FCRO ON T_MPDM_RESOURCE_TYPE ( FCREATEORGID );
 
 
 EXEC P_ALTERPK 'PK_MPDM_RESOURCE_TYPE_L', 'T_MPDM_RESOURCE_TYPE_L', 'FPKID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_RESOURCE_TYPE_L') CREATE INDEX IDX_MPDM_RESOURCE_TYPE_L ON T_MPDM_RESOURCE_TYPE_L ( FID ,FLOCALEID );
 

 EXEC P_ALTERPK 'PK_MPDM_RESOURCEPLANSTATUS', 'T_MPDM_RESOURCEPLANSTATUS', 'FID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MPDM_RESPLANSTATUS_FNUM') CREATE INDEX IDX_T_MPDM_RESPLANSTATUS_FNUM ON T_MPDM_RESOURCEPLANSTATUS ( FNUMBER );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MPDM_RESPLANSTATUS_FCRT') CREATE INDEX IDX_T_MPDM_RESPLANSTATUS_FCRT ON T_MPDM_RESOURCEPLANSTATUS ( FCREATETIME );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MPDM_RESPLANSTATUS_FCRO') CREATE INDEX IDX_T_MPDM_RESPLANSTATUS_FCRO ON T_MPDM_RESOURCEPLANSTATUS ( FCREATEORGID );
 
 
 EXEC P_ALTERPK 'PK_MPDM_RESPLANSTATUS_L', 'T_MPDM_RESOURCEPLANSTATUS_L', 'FPKID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_RESPLANSTATUS_L') CREATE INDEX IDX_MPDM_RESPLANSTATUS_L ON T_MPDM_RESOURCEPLANSTATUS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_MPDM_RESOURCE_LEVEL', 'T_MPDM_RESOURCE_LEVEL', 'FID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MPDM_RESOURCE_LEVEL_FNUM') CREATE INDEX IDX_T_MPDM_RESOURCE_LEVEL_FNUM ON T_MPDM_RESOURCE_LEVEL ( FNUMBER );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MPDM_RESOURCE_LEVEL_FCRT') CREATE INDEX IDX_T_MPDM_RESOURCE_LEVEL_FCRT ON T_MPDM_RESOURCE_LEVEL ( FCREATETIME );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MPDM_RESOURCE_LEVEL_FCRO') CREATE INDEX IDX_T_MPDM_RESOURCE_LEVEL_FCRO ON T_MPDM_RESOURCE_LEVEL ( FCREATEORGID );
 
 
 EXEC P_ALTERPK 'PK_MPDM_RESOURCE_LEVEL_L', 'T_MPDM_RESOURCE_LEVEL_L', 'FPKID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_RESOURCE_LEVEL_L') CREATE INDEX IDX_MPDM_RESOURCE_LEVEL_L ON T_MPDM_RESOURCE_LEVEL_L ( FID ,FLOCALEID );
 
 
 
 EXEC P_ALTERPK 'PK_MPDM_RESOURCE', 'T_MPDM_RESOURCE', 'FID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MPDM_MPDM_RESOURCE_FNUM') CREATE INDEX IDX_T_MPDM_MPDM_RESOURCE_FNUM ON T_MPDM_RESOURCE ( FNUMBER );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MPDM_RESOURCE_FCRT') CREATE INDEX IDX_T_MPDM_RESOURCE_FCRT ON T_MPDM_RESOURCE ( FCREATETIME );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MPDM_RESOURCE_FCRO') CREATE INDEX IDX_T_MPDM_RESOURCE_FCRO ON T_MPDM_RESOURCE ( FCREATEORGID );
 
 
 EXEC P_ALTERPK 'PK_MPDM_RESOURCE_L', 'T_MPDM_RESOURCE_L', 'FPKID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_RESOURCE_L') CREATE INDEX IDX_MPDM_RESOURCE_L ON T_MPDM_RESOURCE_L ( FID ,FLOCALEID );
 
 
 EXEC P_ALTERPK 'PK_T_MPDM_RESOURCE_CONF', 'T_MPDM_RESOURCE_CONF', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_RESOURCE_CONF_FS') CREATE INDEX IDX_MPDM_RESOURCE_CONF_FS ON T_MPDM_RESOURCE_CONF ( FID ,FSEQ );