IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_RESCONSTRAINT')
CREATE TABLE T_MPDM_RESCONSTRAINT
(
	FID               BIGINT		    DEFAULT 0     NOT NULL,   
	FNUMBER           VARCHAR(30)       DEFAULT ' '   NOT NULL,        
	FNAME             VARCHAR(50)       DEFAULT ' '   NOT NULL,   
	FSTATUS           VARCHAR(50)       DEFAULT ' '   NOT NULL,  
	FCREATORID        BIGINT            DEFAULT 0     NOT NULL,       
	FMODIFIERID       BIGINT            DEFAULT 0     NOT NULL,   
	FENABLE           VARCHAR(50)       DEFAULT ' '   NOT NULL,   
	FCREATETIME       DATETIME,                                 
	FMODIFYTIME       DATETIME,                                  
	FMASTERID         BIGINT            DEFAULT 0     NOT NULL,   
	FCREATEORGID      BIGINT            DEFAULT 0     NOT NULL,   
	FORGID            BIGINT            DEFAULT 0     NOT NULL,  
	FCTRLSTRATEGY     VARCHAR(50)       DEFAULT ' '   NOT NULL,   
	FSOURCEDATAID     BIGINT            DEFAULT 0     NOT NULL,   
	FBITINDEX         BIGINT            DEFAULT 0     NOT NULL,  
	FSOURCEBITINDEX   BIGINT            DEFAULT 0     NOT NULL,   
	FREMARKS          VARCHAR(255)      DEFAULT ' '   NOT NULL,   
	FAUDITOR          BIGINT            DEFAULT 0     NOT NULL,    
	FAUDITTIME        DATETIME                                   
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_RESCONSTRAINT_L')
CREATE TABLE T_MPDM_RESCONSTRAINT_L(
	FPKID             VARCHAR(36)       DEFAULT ' '   NOT NULL,               
	FID 		      BIGINT            DEFAULT 0     NOT NULL,   
	FLOCALEID 	      VARCHAR(10)       DEFAULT ' '   NOT NULL,    
	FNAME 		      NVARCHAR(50)      DEFAULT ' '   NOT NULL,   
	FREMARKS		  NVARCHAR(255)     DEFAULT ' '   NOT NULL  
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_CONSTRAINTENTRY')
CREATE TABLE T_MPDM_CONSTRAINTENTRY(
	FID                   BIGINT        DEFAULT 0     NOT NULL,              
	FENTRYID              BIGINT        DEFAULT 0     NOT NULL,        
	FSEQ                  INT           DEFAULT 0     NOT NULL,           
	FCATEGORY             VARCHAR(50)   DEFAULT ' '   NOT NULL,      
	FTARGETOBJECTID       VARCHAR(36)   DEFAULT ' '   NOT NULL,       
	FDIMENSION            VARCHAR(50)   DEFAULT ' '   NOT NULL,        
	FFILTERCONFIG         VARCHAR(255)  DEFAULT ' '   NOT NULL,     
	FFILTERCONFIG_TAG     NCLOB,            
	FLOGIC                VARCHAR(50)   DEFAULT ' '   NOT NULL  
);