﻿EXEC p_AlterColumn 'T_MPDM_GANTTVERSION', 'FNUMBER', 'NVARCHAR(50)', 'NOT NULL', '1111', ''' ''';
	
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_GANTTVERSION' AND KSQL_COL_NAME ='FFILTERSTR') 
 ALTER TABLE T_MPDM_GANTTVERSION ADD (FFILTERSTR VARCHAR(255) DEFAULT ' ' NOT NULL );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_GANTTVERSION' AND KSQL_COL_NAME ='FFILTERSTR_TAG') 
 ALTER TABLE T_MPDM_GANTTVERSION ADD (FFILTERSTR_TAG NCLOB DEFAULT ' ' );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_GANTTVERSION' AND KSQL_COL_NAME ='FNAME') 
 ALTER TABLE T_MPDM_GANTTVERSION ADD (FNAME NVARCHAR(50) DEFAULT ' ' ); 
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_GANTTVERSION_C')
 CREATE TABLE T_MPDM_GANTTVERSION_C (
	FID 			        BIGINT              DEFAULT 0       NOT NULL,
	FPROJECTNUMID	        BIGINT              DEFAULT 0       NOT NULL
);

EXEC P_ALTERPK 'PK_MPDM_GANTTVERSION_C', 'T_MPDM_GANTTVERSION_C', 'FID', '1'; 

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_GANTTVERSION_C') CREATE INDEX IDX_MPDM_GANTTVERSION_C ON T_MPDM_GANTTVERSION_C ( FPROJECTNUMID );