﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_BODYTYPE' AND KSQL_COL_NAME ='FNAME') 
 ALTER TABLE T_MPDM_BODYTYPE ADD (FNAME NVARCHAR(50) DEFAULT ' ' ); 

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_ENGINETYPE' AND KSQL_COL_NAME ='FNAME') 
 ALTER TABLE T_MPDM_ENGINETYPE ADD (FNAME NVARCHAR(50) DEFAULT ' ' ); 

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_MANUFACTURER' AND KSQL_COL_NAME ='FNAME') 
 ALTER TABLE T_MPDM_MANUFACTURER ADD (FNAME NVARCHAR(50) DEFAULT ' ' ); 

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_MATERIALMTCGROUP' AND KSQL_COL_NAME ='FNAME') 
 ALTER TABLE T_MPDM_MATERIALMTCGROUP ADD (FNAME NVARCHAR(50) DEFAULT ' ' ); 

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_MATERIALMTCINFO' AND KSQL_COL_NAME ='FNAME') 
 ALTER TABLE T_MPDM_MATERIALMTCINFO ADD (FNAME NVARCHAR(50) DEFAULT ' ' ); 

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_MRTYPE' AND KSQL_COL_NAME ='FNAME') 
 ALTER TABLE T_MPDM_MRTYPE ADD (FNAME NVARCHAR(50) DEFAULT ' ' ); 

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_OPERATTYPE' AND KSQL_COL_NAME ='FNAME') 
 ALTER TABLE T_MPDM_OPERATTYPE ADD (FNAME NVARCHAR(50) DEFAULT ' ' ); 

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_SPECIALCONFIG' AND KSQL_COL_NAME ='FNAME') 
 ALTER TABLE T_MPDM_SPECIALCONFIG ADD (FNAME NVARCHAR(50) DEFAULT ' ' ); 
 
 
EXEC p_AlterColumn 'T_MPDM_BODYTYPE', 'FNAME', 'NVARCHAR(50)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_MPDM_ENGINETYPE', 'FNAME', 'NVARCHAR(50)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_MPDM_MANUFACTURER', 'FNAME', 'NVARCHAR(50)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_MPDM_MATERIALMTCGROUP', 'FNAME', 'NVARCHAR(50)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_MPDM_MATERIALMTCINFO', 'FNAME', 'NVARCHAR(50)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_MPDM_MRTYPE', 'FNAME', 'NVARCHAR(50)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_MPDM_OPERATTYPE', 'FNAME', 'NVARCHAR(50)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_MPDM_SPECIALCONFIG', 'FNAME', 'NVARCHAR(50)', 'NOT NULL', '1111', ''' ''';
 

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_MATERIALMTCINFO' AND KSQL_COL_NAME ='FCABINCONFIGID') 
 ALTER TABLE T_MPDM_MATERIALMTCINFO ADD (FCABINCONFIGID BIGINT DEFAULT 0 NOT NULL); 
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_MATERIALMTCINFO' AND KSQL_COL_NAME ='FMARKETVALUE') 
 ALTER TABLE T_MPDM_MATERIALMTCINFO ADD (FMARKETVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL); 
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_MATERIALMTCINFO' AND KSQL_COL_NAME ='FCHARGEUNITID') 
 ALTER TABLE T_MPDM_MATERIALMTCINFO ADD (FCHARGEUNITID BIGINT DEFAULT 0 NOT NULL); 
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_MATERIALMTCINFO' AND KSQL_COL_NAME ='FVADATE') 
 ALTER TABLE T_MPDM_MATERIALMTCINFO ADD (FVADATE DATETIME); 
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_MATERIALMTCINFO' AND KSQL_COL_NAME ='FRECORDDATE') 
 ALTER TABLE T_MPDM_MATERIALMTCINFO ADD (FRECORDDATE DATETIME); 

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_MATERIALMTCINFO' AND KSQL_COL_NAME ='FVLMODIFTTIME') 
 ALTER TABLE T_MPDM_MATERIALMTCINFO ADD (FVLMODIFTTIME DATETIME); 
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_MATERIALMTCINFO' AND KSQL_COL_NAME ='FVLMODIFTERID') 
 ALTER TABLE T_MPDM_MATERIALMTCINFO ADD (FVLMODIFTERID BIGINT DEFAULT 0 NOT NULL); 

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_MATERIALMTCINFO' AND KSQL_COL_NAME ='FBUILDERID') 
 ALTER TABLE T_MPDM_MATERIALMTCINFO ADD (FBUILDERID BIGINT DEFAULT 0 NOT NULL); 
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_MATERIALMTCINFO' AND KSQL_COL_NAME ='FOPERATORID') 
 ALTER TABLE T_MPDM_MATERIALMTCINFO ADD (FOPERATORID BIGINT DEFAULT 0 NOT NULL); 
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_MATERIALMTCINFO' AND KSQL_COL_NAME ='FCHECKBOXFIELD') 
 ALTER TABLE T_MPDM_MATERIALMTCINFO ADD (FCHECKBOXFIELD BIGINT DEFAULT 0 NOT NULL); 
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_MATERIALMTCINFO' AND KSQL_COL_NAME ='FONMODIFTERID') 
 ALTER TABLE T_MPDM_MATERIALMTCINFO ADD (FONMODIFTERID BIGINT DEFAULT 0 NOT NULL); 

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_MATERIALMTCINFO' AND KSQL_COL_NAME ='FONMODIFTTIME') 
 ALTER TABLE T_MPDM_MATERIALMTCINFO ADD (FONMODIFTTIME DATETIME); 
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_MATERIALMTCINFO' AND KSQL_COL_NAME ='FAPMANUFACTURER') 
 ALTER TABLE T_MPDM_MATERIALMTCINFO ADD (FAPMANUFACTURER BIGINT DEFAULT 0 NOT NULL); 

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_MATERIALMTCINFO' AND KSQL_COL_NAME ='FAPMODEL') 
 ALTER TABLE T_MPDM_MATERIALMTCINFO ADD (FAPMODEL NVARCHAR(255) DEFAULT ' ' NOT NULL); 

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_MATERIALMTCINFO' AND KSQL_COL_NAME ='FAPSEQ') 
 ALTER TABLE T_MPDM_MATERIALMTCINFO ADD (FAPSEQ NVARCHAR(255) DEFAULT ' ' NOT NULL); 

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_MATERIALMTCINFO' AND KSQL_COL_NAME ='FAPMODIFTERID') 
 ALTER TABLE T_MPDM_MATERIALMTCINFO ADD (FAPMODIFTERID BIGINT DEFAULT 0 NOT NULL);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_MATERIALMTCINFO' AND KSQL_COL_NAME ='FAPMODIFTTIME') 
 ALTER TABLE T_MPDM_MATERIALMTCINFO ADD (FAPMODIFTTIME DATETIME); 

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_MATERIALMTCINFO' AND KSQL_COL_NAME ='FMATERIALID') 
 ALTER TABLE T_MPDM_MATERIALMTCINFO ADD (FMATERIALID BIGINT DEFAULT 0 NOT NULL);
 


 



























