﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_GANTTVERSION_C' AND KSQL_COL_NAME ='FPLANTYPEID')
 ALTER TABLE T_MPDM_GANTTVERSION_C ADD (FPLANTYPEID BIGINT DEFAULT 0 NOT NULL );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_GANTTVERSION_C' AND KSQL_COL_NAME ='FSOURCETYPE')
 ALTER TABLE T_MPDM_GANTTVERSION_C ADD (FSOURCETYPE NVARCHAR(5) DEFAULT ' ' NOT NULL );
 
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_VTRADE') 
CREATE TABLE T_MPDM_VTRADE
(
	  FPKID         BIGINT      DEFAULT 0 NOT NULL,          	
	  FID           BIGINT      DEFAULT 0 NOT NULL,          
	  FBASEDATAID   BIGINT      DEFAULT 0 NOT NULL
);

EXEC P_ALTERPK 'PK_MPDM_VTRADE', 'T_MPDM_VTRADE', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_VTRADE_FFB') CREATE INDEX IDX_MPDM_VTRADE_FFB ON T_MPDM_VTRADE (FID,FBASEDATAID );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_VPLANAREA') 
CREATE TABLE T_MPDM_VPLANAREA
(
	  FPKID         BIGINT      DEFAULT 0 NOT NULL,          
	  FID           BIGINT      DEFAULT 0 NOT NULL,          	
	  FBASEDATAID   BIGINT      DEFAULT 0 NOT NULL
);

EXEC P_ALTERPK 'PK_MPDM_VPLANAREA', 'T_MPDM_VPLANAREA', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_VPLANAREA_FFB') CREATE INDEX IDX_MPDM_VPLANAREA_FFB ON T_MPDM_VPLANAREA (FID,FBASEDATAID );

