/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_constraint.sql **/

 EXEC P_ALTERPK 'PK_MPDM_CMATCMDCHANGE', 'T_MPDM_CMATCMDCHANGE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_CMATCMCC_CMID') CREATE INDEX IDX_MPDM_CMATCMCC_CMID ON T_MPDM_CMATCMDCHANGE ( FCARDMATERIALID );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_CMATCMCC_NO') CREATE INDEX IDX_MPDM_CMATCMCC_NO ON T_MPDM_CMATCMDCHANGE ( FBILLNO );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_CMATCMCC_PMID') CREATE INDEX IDX_MPDM_CMATCMCC_PMID ON T_MPDM_CMATCMDCHANGE ( FPRODUCTMATERIAL );

 EXEC P_ALTERPK 'PK_MPDM_CMATCMDCHANGEENTRY', 'T_MPDM_CMATCMDCHANGEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_CMATCMCCE_MID') CREATE INDEX IDX_MPDM_CMATCMCCE_MID ON T_MPDM_CMATCMDCHANGEENTRY ( FENTRYMATERIAL );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_CMATCMDCHANGEENTRY_FK') CREATE INDEX IDX_MPDM_CMATCMDCHANGEENTRY_FK ON T_MPDM_CMATCMDCHANGEENTRY ( FID );
 
 EXEC P_ALTERPK 'PK_MPDM_CMATCMDCHANGEMTC', 'T_MPDM_CMATCMDCHANGEMTC', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_CMATCMDCHANGEMTC_FK') CREATE INDEX IDX_MPDM_CMATCMDCHANGEMTC_FK ON T_MPDM_CMATCMDCHANGEMTC ( FENTRYID );
 
 
/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_constraint.sql **/