/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_CMATCMDCHANGE') 
 CREATE TABLE T_MPDM_CMATCMDCHANGE (
FID BIGINT NOT NULL DEFAULT 0,
FBILLNO VARCHAR(30) NOT NULL DEFAULT ' ',
FBILLSTATUS VARCHAR(50) NOT NULL DEFAULT ' ',
FCREATORID BIGINT NOT NULL DEFAULT 0,
FMODIFIERID BIGINT NOT NULL DEFAULT 0,
FAUDITORID BIGINT NOT NULL DEFAULT 0,
FAUDITDATE DATETIME NULL,
FMODIFYTIME DATETIME NULL,
FCREATETIME DATETIME NULL,
FORGID BIGINT NOT NULL DEFAULT 0,
FCARDMATERIALID BIGINT NOT NULL DEFAULT 0,
FWORKCARDID BIGINT NOT NULL DEFAULT 0,
FMATERIALTYPEID BIGINT NOT NULL DEFAULT 0,
FMODELMPDONE NVARCHAR(255) NOT NULL DEFAULT ' ',
FCABINCONFIGID BIGINT NOT NULL DEFAULT 0,
FVERSION VARCHAR(50) NOT NULL DEFAULT ' ',
FISNEWVERSION CHAR(1) NOT NULL DEFAULT '0',
FAUXPROPERTYID BIGINT NOT NULL DEFAULT 0,
FNOCHECK CHAR(1) NOT NULL DEFAULT '0',
FNEEDMATERIAL CHAR(1) NOT NULL DEFAULT '0',
FCHANGEREASON NVARCHAR(255) NOT NULL DEFAULT ' ',
FBILLDATE DATETIME NULL,
FPRODUCTMATERIAL BIGINT NOT NULL DEFAULT 0,
FNEWVERSION VARCHAR(50) NOT NULL DEFAULT ' ',
FCHANGETYPE VARCHAR(50) NOT NULL DEFAULT ' '
);



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_CMATCMDCHANGEENTRY') 
 CREATE TABLE T_MPDM_CMATCMDCHANGEENTRY (
FID BIGINT NOT NULL DEFAULT 0,
FENTRYID BIGINT NOT NULL DEFAULT 0,
FSEQ BIGINT NOT NULL DEFAULT 0,
FMODIFIERFIELD BIGINT NOT NULL DEFAULT 0,
FMODIFYDATEFIELD DATETIME NULL,
FROWTYPE VARCHAR(50) NOT NULL DEFAULT ' ',
FENTRYTYPE VARCHAR(50) NOT NULL DEFAULT ' ',
FMATERIALMFTID BIGINT NOT NULL DEFAULT 0,
FENTRYUNITID BIGINT NOT NULL DEFAULT 0,
FENTRYMATERIAL BIGINT NOT NULL DEFAULT 0,
FENTRYBASEUNITID BIGINT NOT NULL DEFAULT 0,
FENTRYQTY DECIMAL(23,10) NOT NULL DEFAULT 0,
FBASEQTY DECIMAL(23,10) NOT NULL DEFAULT 0,
FISREQUIREQTYSET CHAR(1) NOT NULL DEFAULT '0',
FPARAMREMARK NVARCHAR(255) NOT NULL DEFAULT ' ',
FENTRYPROFESSIONAID BIGINT NOT NULL DEFAULT 0,
FISENTRYQTYLIMIT CHAR(1) NOT NULL DEFAULT '0',
FENTRYLIMITTOP DECIMAL(23,10) NOT NULL DEFAULT 0,
FENTRYLIMITLOW DECIMAL(23,10) NOT NULL DEFAULT 0,
FVALIDDATE DATETIME NULL,
FINVALIDDATE DATETIME NULL,
FMATERIALATTR VARCHAR(50) NOT NULL DEFAULT ' ',
FCARDOPERATIONNOID BIGINT NOT NULL DEFAULT 0,
FISREPLACEMENT CHAR(1) NOT NULL DEFAULT '0',
FISBACKFLUSH VARCHAR(50) NOT NULL DEFAULT ' ',
FENTRYISKEY CHAR(1) NOT NULL DEFAULT '0',
FENTRYSN BIGINT NOT NULL DEFAULT 0,
FENTRYRESPTYPE VARCHAR(50) NOT NULL DEFAULT ' ',
FENTRYRESP BIGINT NOT NULL DEFAULT 0,
FENTRYOWNERTYPE VARCHAR(50) NOT NULL DEFAULT ' ',
FENTRYOWNER BIGINT NOT NULL DEFAULT 0,
FFISSUEMODE VARCHAR(50) NOT NULL DEFAULT ' ',
FSUPPLYORG BIGINT NOT NULL DEFAULT 0,
FWAREHOUSE BIGINT NOT NULL DEFAULT 0,
FLOCATION BIGINT NOT NULL DEFAULT 0,
FISSTOCKALLOC CHAR(1) NOT NULL DEFAULT '0',
FOUTORG BIGINT NOT NULL DEFAULT 0,
FOUTWAREHOUSE BIGINT NOT NULL DEFAULT 0,
FOUTLOCATION BIGINT NOT NULL DEFAULT 0,
FENTRYREMARK NVARCHAR(255) NOT NULL DEFAULT ' ',
FCMDENTRYID BIGINT NOT NULL DEFAULT 0
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_CMATCMDCHANGEMTC')
 CREATE TABLE T_MPDM_CMATCMDCHANGEMTC (
FPKID BIGINT NOT NULL DEFAULT 0,
FENTRYID BIGINT NOT NULL DEFAULT 0,
FBASEDATAID BIGINT NOT NULL DEFAULT 0
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_VERSIONRULEENTRY' AND KSQL_COL_NAME ='FTYPE') 
 ALTER TABLE T_MPDM_VERSIONRULEENTRY ADD FTYPE VARCHAR(50) NOT NULL DEFAULT ' ';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_VERSIONRULEENTRY' AND KSQL_COL_NAME ='FCONTCHAR') 
 ALTER TABLE T_MPDM_VERSIONRULEENTRY ADD FCONTCHAR VARCHAR(50) NOT NULL DEFAULT ' ' ;
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_CMATERIALCMD' AND KSQL_COL_NAME ='FVERSION') 
 ALTER TABLE T_MPDM_CMATERIALCMD ADD FVERSION VARCHAR(50) NOT NULL DEFAULT ' ';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_CMATERIALCMD' AND KSQL_COL_NAME ='FISNEWVERSION') 
 ALTER TABLE T_MPDM_CMATERIALCMD ADD FISNEWVERSION CHAR(1) NOT NULL DEFAULT '1';
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_CMATERIALCMD' AND KSQL_COL_NAME ='FFROMCHANGE') 
 ALTER TABLE T_MPDM_CMATERIALCMD ADD FFROMCHANGE CHAR(1) NOT NULL DEFAULT '0';

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_table.sql **/