﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_PLANROOMRES')
 CREATE TABLE T_MPDM_PLANROOMRES (
	FID               BIGINT           DEFAULT 0    NOT NULL,       
	FNUMBER           NVARCHAR(30)     DEFAULT ' '  NOT NULL,        
	FCREATEORGID      BIGINT           DEFAULT 0    NOT NULL,       
	FORGID            BIGINT           DEFAULT 0    NOT NULL,      
	FCTRLSTRATEGY     NVARCHAR(50)     DEFAULT ' '  NOT NULL,    
	FAUDITORID        BIGINT           DEFAULT 0    NOT NULL,     
	FAUDITTIME        DATETIME,       
	FRESOURCETYPEID   BIGINT           DEFAULT 0    NOT NULL,       
	FLOCATION         NVARCHAR(50)     DEFAULT ' '  NOT NULL,     
	FCONFTYPE         NVARCHAR(50)     DEFAULT ' '  NOT NULL,      
	FADDRESS          NVARCHAR(99)     DEFAULT ' '  NOT NULL,       
	FREMARK           NVARCHAR(255)    DEFAULT ' '  NOT NULL,      
	FPRINTERID        BIGINT           DEFAULT 0    NOT NULL,  
	FNAME             NVARCHAR(50)     DEFAULT ' '  NOT NULL,    
	FSTATUS           NVARCHAR(50)     DEFAULT ' '  NOT NULL,       
	FCREATORID        BIGINT           DEFAULT 0    NOT NULL,     
	FMODIFIERID       BIGINT           DEFAULT 0    NOT NULL,       
	FENABLE           NVARCHAR(50)     DEFAULT ' '  NOT NULL,    
	FCREATETIME       DATETIME,       
	FMODIFYTIME       DATETIME,       
	FMASTERID         BIGINT           DEFAULT 0    NOT NULL    
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_PLANROOMRES_L')
 CREATE TABLE T_MPDM_PLANROOMRES_L (
	FPKID             NVARCHAR(36)     DEFAULT ' '    NOT NULL,       
	FID               BIGINT           DEFAULT 0      NOT NULL,        
	FLOCALEID         NVARCHAR(10)     DEFAULT ' '    NOT NULL,      
	FNAME             NVARCHAR(50)     DEFAULT ' '    NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_PLANROOMBILLS')
 CREATE TABLE T_MPDM_PLANROOMBILLS (
	FPKID             BIGINT           DEFAULT 0      NOT NULL,        
	FID               BIGINT           DEFAULT 0      NOT NULL,      
	FBASEDATAID       NVARCHAR(255)    DEFAULT 0      NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_PLANROOM_RES' AND KSQL_COL_NAME ='FRESOURCEID')
 ALTER TABLE T_MPDM_PLANROOM_RES ADD ( FRESOURCEID BIGINT DEFAULT 0 NOT NULL );



