﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_MATERIALPLAN') 
 CREATE TABLE T_MPDM_MATERIALPLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPLANGROUPID BIGINT DEFAULT 0 NOT NULL,
FMATERIALATTR NVARCHAR(30) DEFAULT ' ' NOT NULL,
FMATERIALGROUPID BIGINT DEFAULT 0 NOT NULL,
FADJUSTBATCHSTRTEGY CHAR(1) DEFAULT ' ' NOT NULL,
FADJUSTMENTSTRTEGY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FALLOWLEADTIME INT DEFAULT 0 NOT NULL,
FLEADADVANCE INT DEFAULT 0 NOT NULL,
FALLOWDELAYPERIOD INT DEFAULT 0 NOT NULL,
FDELAYTOLERANCE INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_MATERIALPLAN_E') 
 CREATE TABLE T_MPDM_MATERIALPLAN_E (
FID BIGINT DEFAULT 0 NOT NULL,
FPLANMODE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FMANUFACTUREGROUPID BIGINT DEFAULT 0 NOT NULL,
FREVERSALPRIORITY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FWRITEOFFDIRECTION NVARCHAR(30) DEFAULT ' ' NOT NULL,
FFORWARDPERIOD INT DEFAULT 0 NOT NULL,
FBACKWARDPERIOD INT DEFAULT 0 NOT NULL,
FWASTAGERATE INT DEFAULT 0 NOT NULL,
FYIELD INT DEFAULT 0 NOT NULL,
FWASTAGERATEFORMULA NVARCHAR(30) DEFAULT ' ' NOT NULL,
FREORDERPOINT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPLANTIMEBOUND INT DEFAULT 0 NOT NULL,
FDEMANDTIMEBOUND INT DEFAULT 0 NOT NULL,
FDEMANDMERGERULE INT DEFAULT 0 NOT NULL,
FPUTINCHOICE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FRESERVEDTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FLEADTIMETYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FFIXEDLEADTIME INT DEFAULT 0 NOT NULL,
FCHANGELEADTIME INT DEFAULT 0 NOT NULL,
FCHANGEBATCH INT DEFAULT 0 NOT NULL,
FINSPECTIONLEADTIME INT DEFAULT 0 NOT NULL,
FPREPROCESSINGTIME INT DEFAULT 0 NOT NULL,
FPOSTPROCESSINGTIME INT DEFAULT 0 NOT NULL,
FLOTPOLICY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBATCHQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBATCHINCREMENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTEGERMULTIPLE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMINLOTSIZE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMAXLOTSIZE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSEPARATORSYMBOL NVARCHAR(30) DEFAULT ' ' NOT NULL,
FINTERVALPERIOD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPARTITIONBASE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDYNAMICCYCLE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFIXEDPERIOD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSPECIFIEDPERIOD INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_MATERIALPLAN_L') 
 CREATE TABLE T_MPDM_MATERIALPLAN_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_table.sql **/
